---------------------------------
--! @file openrtm.lua
--! @brief openrtmのモジュールをロードする
---------------------------------


--[[
Copyright (c) 2017 Nobuhiko Miyamoto
]]

local openrtm = {}
--_G["openrtm"] = openrtm

--openrtm.Async = require "openrtm.Async"
openrtm.BufferBase = require "openrtm.BufferBase"
openrtm.BufferStatus = require "openrtm.BufferStatus"
openrtm.CdrBufferBase = require "openrtm.CdrBufferBase"
openrtm.CdrRingBuffer = require "openrtm.CdrRingBuffer"
openrtm.ComponentActionListener = require "openrtm.ComponentActionListener"
openrtm.ConfigAdmin = require "openrtm.ConfigAdmin"
openrtm.ConfigurationListener = require "openrtm.ConfigurationListener"
openrtm.ConnectorBase = require "openrtm.ConnectorBase"
openrtm.ConnectorListener = require "openrtm.ConnectorListener"
--openrtm.CORBA_IORUtil = require "openrtm.CORBA_IORUtil"
openrtm.CORBA_RTCUtil = require "openrtm.CORBA_RTCUtil"
openrtm.CORBA_SeqUtil = require "openrtm.CORBA_SeqUtil"
openrtm.CorbaConsumer = require "openrtm.CorbaConsumer"
openrtm.CorbaNaming = require "openrtm.CorbaNaming"
openrtm.CorbaPort = require "openrtm.CorbaPort"
--openrtm.CPUAffinity = require "openrtm.CPUAffinity"
--openrtm.DataFlowComponentBase = require "openrtm.DataFlowComponentBase"
openrtm.DataPortStatus = require "openrtm.DataPortStatus"
openrtm.DefaultConfiguration = require "openrtm.DefaultConfiguration"
--openrtm.DefaultPeriodicTask = require "openrtm.DefaultPeriodicTask"
openrtm.ECFactory = require "openrtm.ECFactory"
openrtm.ExecutionContextBase = require "openrtm.ExecutionContextBase"
openrtm.ExecutionContextProfile = require "openrtm.ExecutionContextProfile"
openrtm.ExecutionContextWorker = require "openrtm.ExecutionContextWorker"
--openrtm.ExtTrigExecutionContext = require "openrtm.ExtTrigExecutionContext"
openrtm.Factory = require "openrtm.Factory"
openrtm.FactoryInit = require "openrtm.FactoryInit"
openrtm.GlobalFactory = require "openrtm.GlobalFactory"
--openrtm.Guard = require "openrtm.Guard"
openrtm.InPort = require "openrtm.InPort"
openrtm.InPortBase = require "openrtm.InPortBase"
openrtm.InPortConnector = require "openrtm.InPortConnector"
openrtm.InPortConsumer = require "openrtm.InPortConsumer"
--openrtm.InPortCorbaCdrConsumer = require "openrtm.InPortCorbaCdrConsumer"
--openrtm.InPortCorbaCdrProvider = require "openrtm.InPortCorbaCdrProvider"
openrtm.InPortDirectConsumer = require "openrtm.InPortDirectConsumer"
openrtm.InPortDirectProvider = require "openrtm.InPortDirectProvider"
openrtm.InPortDSConsumer = require "openrtm.InPortDSConsumer"
openrtm.InPortDSProvider = require "openrtm.InPortDSProvider"
openrtm.InPortProvider = require "openrtm.InPortProvider"
openrtm.InPortPullConnector = require "openrtm.InPortPullConnector"
openrtm.InPortPushConnector = require "openrtm.InPortPushConnector"
--openrtm.InPortSHMConsumer = require "openrtm.InPortSHMConsumer"
--openrtm.InPortSHMProvider = require "openrtm.InPortSHMProvider"
--openrtm.Listener = require "openrtm.Listener"
openrtm.ListenerHolder = require "openrtm.ListenerHolder"
--openrtm.LocalServiceAdmin = require "openrtm.LocalServiceAdmin"
--openrtm.LocalServiceBase = require "openrtm.LocalServiceBase"
openrtm.LogstreamBase = require "openrtm.LogstreamBase"
openrtm.LogstreamFile = require "openrtm.LogstreamFile"
openrtm.Manager = require "openrtm.Manager"
openrtm.ManagerActionListener = require "openrtm.ManagerActionListener"
openrtm.ManagerServant = require "openrtm.ManagerServant"
openrtm.ManagerConfig = require "openrtm.ManagerConfig"
openrtm.ManagerInfo = require "openrtm.ManagerInfo"
openrtm.ModuleManager = require "openrtm.ModuleManager"
openrtm.NamingManager = require "openrtm.NamingManager"
openrtm.NamingServiceNumberingPolicy = require "openrtm.NamingServiceNumberingPolicy"
openrtm.NodeNumberingPolicy = require "openrtm.NodeNumberingPolicy"
openrtm.NumberingPolicy = require "openrtm.NumberingPolicy"
openrtm.NumberingPolicyBase = require "openrtm.NumberingPolicyBase"
openrtm.NVUtil = require "openrtm.NVUtil"
openrtm.ObjectManager = require "openrtm.ObjectManager"
openrtm.OpenHRPExecutionContext = require "openrtm.OpenHRPExecutionContext"
openrtm.OutPort = require "openrtm.OutPort"
openrtm.OutPortBase = require "openrtm.OutPortBase"
openrtm.OutPortConnector = require "openrtm.OutPortConnector"
openrtm.OutPortConsumer = require "openrtm.OutPortConsumer"
--openrtm.OutPortCorbaCdrConsumer = require "openrtm.OutPortCorbaCdrConsumer"
--openrtm.OutPortCorbaCdrProvider = require "openrtm.OutPortCorbaCdrProvider"
openrtm.OutPortDirectConsumer = require "openrtm.OutPortDirectConsumer"
openrtm.OutPortDirectProvider = require "openrtm.OutPortDirectProvider"
openrtm.OutPortDSConsumer = require "openrtm.OutPortDSConsumer"
openrtm.OutPortDSProvider = require "openrtm.OutPortDSProvider"
openrtm.OutPortPushConnector = require "openrtm.OutPortPushConnector"
openrtm.OutPortPullConnector = require "openrtm.OutPortPullConnector"
--openrtm.OutPortSHMConsumer = require "openrtm.OutPortSHMConsumer"
--openrtm.OutPortSHMProvider = require "openrtm.OutPortSHMProvider"
--openrtm.PeriodicECSharedComposite = require "openrtm.PeriodicECSharedComposite"
openrtm.PeriodicExecutionContext = require "openrtm.PeriodicExecutionContext"
--openrtm.PeriodicTask = require "openrtm.PeriodicTask"
--openrtm.PeriodicTaskFactory = require "openrtm.PeriodicTaskFactory"
openrtm.PortAdmin = require "openrtm.PortAdmin"
openrtm.PortBase = require "openrtm.PortBase"
openrtm.PortCallBack = require "openrtm.PortCallBack"
openrtm.PortConnectListener = require "openrtm.PortConnectListener"
--openrtm.PortProfileHelper = require "openrtm.PortProfileHelper"
--openrtm.Process = require "openrtm.Process"
openrtm.Properties = require "openrtm.Properties"
openrtm.PublisherBase = require "openrtm.PublisherBase"
openrtm.PublisherFlush = require "openrtm.PublisherFlush"
--openrtm.PublisherNew = require "openrtm.PublisherNew"
--openrtm.PublisherPeriodic = require "openrtm.PublisherPeriodic"
openrtm.RingBuffer = require "openrtm.RingBuffer"
openrtm.RTCUtil = require "openrtm.RTCUtil"
openrtm.RTObject = require "openrtm.RTObject"
openrtm.RTObjectStateMachine = require "openrtm.RTObjectStateMachine"
openrtm.SdoConfiguration = require "openrtm.SdoConfiguration"
openrtm.SdoOrganization = require "openrtm.SdoOrganization"
--openrtm.SdoService = require "openrtm.SdoService"
openrtm.SdoServiceAdmin = require "openrtm.SdoServiceAdmin"
openrtm.SdoServiceConsumerBase = require "openrtm.SdoServiceConsumerBase"
openrtm.SdoServiceProviderBase = require "openrtm.SdoServiceProviderBase"
--openrtm.SharedMemory = require "openrtm.SharedMemory"
--openrtm.Singleton = require "openrtm.Singleton"
openrtm.StateMachine = require "openrtm.StateMachine"
openrtm.StringUtil = require "openrtm.StringUtil"
openrtm.SystemLogger = require "openrtm.SystemLogger"
openrtm.Task = require "openrtm.Task"
--openrtm.TimeMeasure = require "openrtm.TimeMeasure"
openrtm.Timer = require "openrtm.Timer"
--openrtm.Typename = require "openrtm.Typename"
openrtm.TimeValue = require "openrtm.TimeValue"
openrtm.version = require "openrtm.version"

openrtm.SimulatorExecutionContext = require "openrtm.SimulatorExecutionContext"




return openrtm
